# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Namespaces | Typedefs | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/ImageTools.hpp File Reference

`#include <memory.h>`

Go to the source code of this file.

## Namespaces

namespace | vl

| Visualization Library namespace.

## Typedefs

typedef unsigned char | vl::TPalette3x256 [256 *3]
typedef unsigned char | vl::TPalette4x256 [256 *4]

## Functions

void | vl::convertRGBToRGBA (void *buf, int w, int h, unsigned char alpha, int bytealign=1)
void | vl::convertGrayscaleToRGBA (void *buf, int size, unsigned char alpha)
void | vl::convertA1R5G5B5ToRGBA (void *buf, int size, unsigned char alpha)
void | vl::convert8ToRGBA (const TPalette3x256 &palette, void *buf, int w, int h, unsigned char alpha, int bytealign=1)
void | vl::convert8ToRGBA (const TPalette4x256 &palette, void *buf, int w, int h, int bytealign=1)
void | vl::swapBytes32 (void *buf, int size)
void | vl::swapBytes32_BGRA_RGBA (void *buf, int bytecount)
void | vl::swapBytes24_BGR_RGB (void *buf, int bytecount)
void | vl::fillRGBA32_Alpha (void *buf, int bytecount, unsigned char alpha)
void | vl::fillGray8Alpha8_Alpha (void *buf, int bytecount, unsigned char alpha)

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:27.
Permission is granted to use this page to write and publish articles regarding Visualization Library.